from sklearn.naive_bayes import GaussianNB
from sklearn.base import BaseEstimator


class NaiveBayesModel(BaseEstimator):
    def __init__(self):
        self.model = GaussianNB()

    def fit(self, X, y):
        self.model.fit(X, y)
        self.classes_ = self.model.classes_
        return None
    
    def predict(self, X):
        return self.model.predict(X)
    
    def predict_proba(self, X):
        return self.model.predict_proba(X)
    